/*
  Blink
  Allumer la LED pendant une seconde, puis l'éteindre pendant une seconde,
  et répéter l'opération en continu. 
  Cet exemple fait partie du domaine public
 */
 
// Pin 13 a une LED connectée sur la plupart des cartes Arduino 


#define BROCHE_LED  9
#define BROCHE_POTENTIOMETRE  A0

int valeur_pot;
int vitesse_clignotement;

// Le setup ne s'éxécute qu'une seule fois au démarrage du programme
void setup() {                
  // initialize the digital pin as an output.
  Serial.begin(9600);
  pinMode(BROCHE_LED, OUTPUT);
  pinMode(BROCHE_POTENTIOMETRE, INPUT);     
}

//Le loop  s'exécute en boucle à l'infini
void loop() {
  Serial.print("BROCHE_POTENTIOMETRE :");
    Serial.println(BROCHE_POTENTIOMETRE);
  valeur_pot=analogRead(BROCHE_POTENTIOMETRE);
    Serial.print("valeur_pot :");
  Serial.println(valeur_pot);
  vitesse_clignotement=map(valeur_pot,0,1023,200,2000);
  digitalWrite(BROCHE_LED, HIGH);   // Allumer la LED (HIGH est le niveau de tension=5V)
  delay(vitesse_clignotement);// attendre le temps déterminé dans vitesse_clignotement
  digitalWrite(BROCHE_LED, LOW);    // Eteindre la LED (LOW est le niveau de tension=OV) 
  delay(vitesse_clignotement); //attendre le temps déterminé dans vitesse_clignotement
}


