/*
  Blink
  Turns on an LED on for one second, then off for one second, repeatedly.
 
  This example code is in the public domain.
 */
 
// Pin 13 has an LED connected on most Arduino boards.
// Pin 11 has the LED on Teensy 2.0
// Pin 6  has the LED on Teensy++ 2.0
// Pin 13 has the LED on Teensy 3.0
// give it a name:
int led_rouge = 9;
int led_verte = 8;

// the setup routine runs once when you press reset:
void setup() {                
  // initialize the digital pin as an output.
  pinMode(led_rouge, OUTPUT);
  pinMode(led_verte, OUTPUT);     
}

// the loop routine runs over and over again forever:
void loop() {
  digitalWrite(led_rouge, HIGH);   // turn the LED on (HIGH is the voltage level)
  digitalWrite(led_verte,LOW); 
  delay(1000);               // wait for a second
  digitalWrite(led_rouge, LOW);    // turn the LED off by making the voltage LOW
  digitalWrite(led_verte,HIGH);
  delay(1000);               // wait for a second
}
